#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Jul  6 13:17:28 2022

@author: stefan
"""
import numpy as np
import matplotlib.pyplot as plt
import matplotlib.colors as colors
from matplotlib.ticker import StrMethodFormatter
import codecs


kappa = [0.05931864, 0.16352705, 0.24529058, 0.27735471]
theta_r=[1/8, 1/4, 3/8, 1/2]
# plotting a line plot after changing it's width and height
f = plt.figure()
f.set_figwidth(3)
f.set_figheight(3)
plt.gca().yaxis.set_major_formatter(StrMethodFormatter('{x:,.3f}')) # 2 decimal places
plt.gca().xaxis.set_major_formatter(StrMethodFormatter('{x:,.3f}')) # 2 decimal places
plt.scatter(theta_r, kappa, marker='D')
plt.xticks(theta_r)
plt.yticks(kappa)       
plt.ylabel(r"$\kappa$")
plt.xlabel(r"$r$")
# plt.legend()
plt.show()

