import numpy as np


def sym(A):   # 1/2 (A^T + A)
    return 0.5 * (np.array(A).transpose() + np.array(A) )


def trace(A):   
    return A[0][0] + A[1][1] + A[2][2]

def Id():
    return np.identity(3)

def mult(A,B):
    tmp = [[0, 0, 0], [0,0,0], [0,0,0]]
    # iterate through rows of X
    for i in range(3):
    # iterate through columns of Y
        for j in range(3):
            # iterate through rows of Y
            for k in range(3):
                tmp[i][j] += A[i][k] * B[k][j]
    return tmp

def Add(A,B):
    tmp = [[0, 0, 0], [0,0,0], [0,0,0]]
    for i in range(3):
        for j in range(3):
            tmp[i][j] = (A[i][j] + B[i][j])
    return tmp


def smult(k,A):
    return [[k*A[0][0], k*A[0][1], k*A[0][2]], [k*A[1][0],k*A[1][1],k*A[1][2]], [k*A[2][0],k*A[2][1],k*A[2][2]]]

# def Id():
#     return [[1, 0, 0], [0,1,0], [0,0,1]]



# def sym(A):   # 1/2 (A^T + A)
#     tmp = [[0, 0, 0], [0,0,0], [0,0,0]]
#     for i in range(3):
#         for j in range(3):
#             tmp[i][j] = 0.5 *(A[i][j] + A[j][i])
#     return tmp
